\begin{tikzpicture}[scale=1]
	\filldraw[fill=red, draw=black, opacity=0.66] (0, 0) rectangle (2, 2);
	\onslide<2-6, 8>{\filldraw[fill=blue, draw=black, opacity=0.66] (1.25, 1.25) rectangle (2.75, 2.75);}
	\onslide<2, 7-8>{\filldraw[fill=yellow, draw=black, opacity=0.66] (0, 2) -- (1, 3) -- (3, 1) -- (2, 0) -- cycle;}
	
	\draw[->] (-0.2,0) -- (3.5,0) node[right] {latency};
	\draw[->] (0,-0.2) -- (0,3.5) node[above] {cost};

	\onslide<4-6>{
		\node[anchor=west] at (2.5, 3.25) {$\frac{\alert<4>{\text{Rq} \cap \text{Pr}_1}}{\alert<5>{\text{Pr}_1}} = \alt<-5>{\text{?}}{0.25}$};
	}
	\onslide<4>{
		\draw[green, thick, pattern color=green, pattern={north east lines}] (1.25, 1.25) rectangle (2, 2);
	}
	\onslide<5>{
		\draw[green, thick, pattern color=green, pattern={north east lines}] (1.25, 1.25) rectangle (2.75, 2.75);
	}
	\onslide<7>{
		\node[anchor=west] at (2.5, 3.25) {$\frac{\text{Rq} \cap \text{Pr}_2}{\text{Pr}_2} = 0.5$};
	}

	\foreach \i in {0, ..., 3} \draw[shift={(\i, 0)}] (0, 0.1) -- (0, -0.1) node[below] {$\i$};
	\foreach \i in {0, ..., 3} \draw[shift={(0, \i)}] (0.1, 0) -- (-0.1, 0) node[left] {$\i$};
\end{tikzpicture}